Helper tools for tests

This repository contains tools used by the test infrastructure.

updater.sh:
updater.sh is executed by Jenkins. It searches in the helper-tools repository
for test_repositories.txt and runs update_test_binaries on each.

update_test_binaries.sh:
update_test_binaries is a script used to update external binaries required by
tests and storing them in individual test case git repositories. It will read
the external binaries definition from external-binaries.cfg located in the test
case git repository and update the binaries in the test repo accordingly.

test_repositories.txt:
This file lists all projects from the group gitlab.apertis.org/tests which needs
external binaries.

external-binaries.cfg:
In each of these projects, a file called external-binaries.cfg lists the binaries
required to run the test. The binaries will be copied in an architecture
specific tree in the test repository.

Jenkins:
The trigger for all this. The job created from apertis-jenkins-job.
